TL-wr941nd v5 Support

Report problems and success stories with Gargoyle on various hardware platforms.

Moderator: Moderators

Post Reply
3pud
Posts: 1
Joined: Mon May 26, 2014 10:20 am

TL-wr941nd v5 Support

Post by 3pud »

Hi all

Does someone know when tl-wr941nd v5 will be supported by this firmware?
I bought this router specially to run this firmware on.

Specifically i'm looking for the bandwidth quota functionality. If you guys can help me out, then that would be really great.

Either getting Gargoyle to work or if you guys know of another firmware that I can use which also provides the bandwidth quota functionality.

I desperately need something to manage my allocated data cap on my ADSL, I can't get an uncapped line.

Kind Regards

foxmul
Posts: 4
Joined: Fri Jul 25, 2014 8:26 am

Re: TL-wr941nd v5 Support

Post by foxmul »

Any news?
I bought a Ver:5.1 ....
Thanks

AndyHiggins
Posts: 17
Joined: Tue Apr 29, 2014 3:27 pm

Re: TL-wr941nd v5 Support

Post by AndyHiggins »

Warning: Proceed at your own risk. I was able to get a version of Gargoyle 1.6.1 working on a TL-WR941ND v5 router as follows:

  1. This all works on the premise that the hardware for TL-WR941ND v5 is compatible with TL-WR841N v8 so I basically forced a flash of the TL-WR841N v8 supported firmware.
  2. Install modified OpenWrt firmware for TL-WR841N v8 as explained by thotypous on the OpenWRT forum i.e. this firmware can be downloaded from tl-wr941nd_v5.0.bin.
  3. Install this OpenWRT firmware using the standard firmware upgrade web interface on the TP-Link (by logging into http://192.168.1.1 on the router using a browser).
  4. Once the OpenWRT firmware has been installed, telnet into the router and set a password (to activate ssh for the next scp command).
  5. scp the system upgrade file for TL-WR841N v8 to the tmp directory on the router.
  6. Run the sysupgrade command with the -F option to skip the image check to install the gargoyle firmware.

Code: Select all

$ telnet 192.168.1.1
root@OpenWrt:/#
root@OpenWrt:/# passwd
Changing password for root
New password:
Retype password:
Password for root changed by root
root@OpenWrt:/# exit

$ scp gargoyle_1.6.1-ar71xx-generic-tl-wr841n-v8-squashfs-sysupgrade.bin root@192.168.1.1:/tmp/gargoyle_1.6.1-ar71xx-generic-tl-wr841n-v8-squashfs-sysupgrade.bin
root@192.168.1.1's password:
gargoyle_1.6.1-ar71xx-generic-tl-wr841n-v8-squashfs-sysupgrade.bin                                                              100% 3520KB   1.7MB/s   00:02   

$ ssh root@192.168.1.1
root@192.168.1.1's password:
root@OpenWrt:~# cd /tmp
root@OpenWrt:/tmp# sysupgrade -F /tmp/gargoyle_1.6.1-ar71xx-generic-tl-wr841n-v8-squashfs-sysupgrade.bin
Invalid image, hardware ID mismatch, hw:09410005 image:08410008.
Image check 'platform_check_image' failed but --force given - will update anyway!
Saving config files...
Sending TERM to remaining processes ... uhttpd dnsmasq ntpd syslogd klogd hotplug2 ubusd netifd
Sending KILL to remaining processes ... uhttpd
Switching to ramdisk...
Performing system upgrade...
Unlocking firmware ...

Writing from <stdin> to firmware ...  [w]
   
Appending jffs2 data from /tmp/sysupgrade.tgz to firmware...TRX header not found
Error fixing up TRX header
   
Upgrade completed
Rebooting system...

foxmul
Posts: 4
Joined: Fri Jul 25, 2014 8:26 am

Re: TL-wr941nd v5 Support

Post by foxmul »

Thank you very much Andy.

But because of I'm not an expert, I'll ask the Gargoyle team if they have in their mind to release the v5 official version...

Kindly
GM

AndyHiggins
Posts: 17
Joined: Tue Apr 29, 2014 3:27 pm

Re: TL-wr941nd v5 Support

Post by AndyHiggins »

Sure. An official release would obviously be much better. Also note that my post is for ver 5.0 and I understand ver 5.1 may be different and therefore could not work .

foxmul
Posts: 4
Joined: Fri Jul 25, 2014 8:26 am

Re: TL-wr941nd v5 Support

Post by foxmul »

AndyHiggins wrote: I understand ver 5.1 may be different and therefore could not work .

You well understand! I've the 5.1

But I found something on ecco.selfip but it doesn't works...

AndyHiggins
Posts: 17
Joined: Tue Apr 29, 2014 3:27 pm

Re: TL-wr941nd v5 Support

Post by AndyHiggins »

Out of interest, I needed to install the Gargoyle firmware on another TP-Link TL-WR941ND router however by chance the version on the box and unit itself stated Ver 5.1 (whereas my previous post was for a Ver 5.0 router).

So, although both the box and on the unit itself said Ver 5.1, when I logged into the router itself and went to the firmware upgrade page it stated the following:

Code: Select all

Firmware Version: 3.14.5 Build 130709 Rel.36000n
Hardware Version: WR940N v2/WR941ND v5 00000000


i.e. it appears according to this that is is actually a version 5.0. Note that according to OpenWRT the hardware for versions 5.0 and 5.1 should be different.

In any case, I went ahead following the instructions from my previous post and was also able to flash this router with Gargoyle 1.6.1 firmware.

Further confirmation that they may actually have been the same hardware was the following warning message being identical in both cases:

Code: Select all

Invalid image, hardware ID mismatch, hw:09410005 image:08410008

Korpblast
Posts: 2
Joined: Wed Jun 18, 2014 11:57 pm

Re: TL-wr941nd v5 Support

Post by Korpblast »

Hi everyone.
I know this is an old thread, but I need help in thsi topic. I tried to follow your instructions as I have a router that stated to have the same firmware as your last post. After the installation sadly, the router just turns on with power led. If I maintatin WPS button while turning on, the WPS led also turns on...dunno if that means something. Is the router bricked or I'm missing something? Is there anything I can do? Thanks in advance.
AndyHiggins wrote:Out of interest, I needed to install the Gargoyle firmware on another TP-Link TL-WR941ND router however by chance the version on the box and unit itself stated Ver 5.1 (whereas my previous post was for a Ver 5.0 router).

So, although both the box and on the unit itself said Ver 5.1, when I logged into the router itself and went to the firmware upgrade page it stated the following:

Code: Select all

Firmware Version: 3.14.5 Build 130709 Rel.36000n
Hardware Version: WR940N v2/WR941ND v5 00000000


i.e. it appears according to this that is is actually a version 5.0. Note that according to OpenWRT the hardware for versions 5.0 and 5.1 should be different.

In any case, I went ahead following the instructions from my previous post and was also able to flash this router with Gargoyle 1.6.1 firmware.

Further confirmation that they may actually have been the same hardware was the following warning message being identical in both cases:

Code: Select all

Invalid image, hardware ID mismatch, hw:09410005 image:08410008

eierfrucht
Posts: 17
Joined: Mon Nov 04, 2013 3:24 pm

Re: TL-wr941nd v5 Support

Post by eierfrucht »

Bump to this topic!

Is there any chance there will be a TL-WR941ND V5 firmware v 1.8.X or 1.9.X? All other versions including V6 are supported, no luck with V5. We have a bunch of V5s running obsy's 1.6.2.2 built specifically for V5, but he never released a newer build.

Post Reply